import processing.serial.*;

float posX, posY; // Variables para la posición de la esfera

void setup() {
  size(600, 400); // Tamaño de la ventana
  posX = width/2; // Posición inicial en el centro en X
  posY = height/2; // Posición inicial en el centro en Y
}

void draw() {
  background(255); // Fondo blanco
  
  // Calculamos la distancia entre la posición del mouse y la posición de la esfera
  float distancia = dist(mouseX, mouseY, posX, posY);
  
  // Si la distancia es menor que el radio de la esfera, cambiamos de color
  if (distancia < 20) {
    fill(255, 0, 0); // Rojo
  } else {
    fill(0, 0, 255); // Azul
  }
  
  // Dibujamos la esfera en la posición actual
  ellipse(posX, posY, 40, 40);
}

void mouseMoved() {
  // Actualizamos la posición de la esfera con la posición del mouse
  posX = mouseX;
  posY = mouseY;
}
